<div class="main-content pad">
    <div class="container-fluid">
    <div class="row">
            <div class="col-md-12">
                <div class="card">
                    <div class="card-header card-header-rose card-header-icon">
                    <div class="card-icon">
                            <i class="material-icons">poll</i>
                        </div>
					      	<h4 class="card-title">
					        <span jhiTranslate="sisteminformasiakademikApp.tagihan.home.title">Invoices</span>
					    	</h4>
					    	<button *jhiHasAnyAuthority="['ROLE_WALI']" type="button" id="detail" class="btn btn-outline-warning float-right" (click)="selectMulti()">
			                   <span>Multi Pembayaran</span>&nbsp;&nbsp;
                         			<i class="material-icons">content_copy</i>
			            	</button>
    				 </div>
    				 <br/>
        <div class="card-body">
          <div class="toolbar" *jhiHasAnyAuthority="['ROLE_TU','ROLE_KETUA','ROLE_LOUNDRY']" >
            <form name="searchForm" class="form-inline">
                <div class="input-group w-40 no-border">
                    <input type="text" class="form-control" [(ngModel)]="currentSearch" id="currentSearch" name="currentSearch" placeholder="{{ 'sisteminformasiakademikApp.tagihan.home.searchName' | translate }}">
                    <button mat-raised-button class="btn btn-info btn-round btn-just-icon" (click)="search(currentSearch)">
                        <i class="material-icons">search</i>
                    </button>
                    <button mat-raised-button class="btn btn-danger btn-round btn-just-icon" (click)="clear()" *ngIf="currentSearch">
                      <i class="material-icons">delete</i>
                        <div class="ripple-container"></div>
                    </button>
                </div>
            </form>
            <br>
        </div>
    <jhi-alert-error></jhi-alert-error>
   <jhi-alert></jhi-alert>
    <div class="alert alert-warning" *ngIf="tagihans?.length === 0">
        <span>No tagihans found</span>
    </div>
    <div class="table-responsive" *ngIf="tagihans?.length > 0">
        <table class="table table-hover" aria-describedby="page-heading">
            <thead class="thead-light">
            <tr jhiSort [(predicate)]="predicate" [(ascending)]="ascending" [callback]="loadPage.bind(this)">
            <th scope="col" ><span>No.</span></th>
            <th scope="col" *jhiHasAnyAuthority="['ROLE_KETUA']" class="d-none d-sm-table-cell"><span>Nis</span></th>
            <th scope="col" *jhiHasAnyAuthority="['ROLE_KETUA']" class="d-none d-sm-table-cell"><span>Nama</span></th>
            <th scope="col" *jhiHasAnyAuthority="['ROLE_KETUA']" class="d-none d-sm-table-cell"><span>Kelas-TA</span></th>
            <th scope="col" *jhiHasAnyAuthority="['ROLE_TU','ROLE_LOUNDRY']"><span>Nis</span></th>
            <th scope="col" *jhiHasAnyAuthority="['ROLE_TU','ROLE_LOUNDRY']"><span>Nama</span></th>
            <th scope="col" *jhiHasAnyAuthority="['ROLE_TU','ROLE_LOUNDRY']"><span>Kelas-TA</span></th>
            <th scope="col" *jhiHasAnyAuthority="['ROLE_KETUA','ROLE_WALI']"><span>Jenis</span></th>
            <th></th>
            <th scope="col" *jhiHasAnyAuthority="['ROLE_KETUA','ROLE_WALI']"><span>Nominal</span></th>
            <!-- <th scope="col"><span>Jatuh Tempo</span></th> -->
            <th scope="col" class="d-none d-sm-table-cell" *jhiHasAnyAuthority="['ROLE_KETUA','ROLE_WALI']"><span>Tanggal Bayar</span></th>
            <th scope="col" *jhiHasAnyAuthority="['ROLE_WALI']"><span>Virtual Account</span></th>
            <th scope="col" *jhiHasAnyAuthority="['ROLE_KETUA','ROLE_WALI']"><span>Status</span></th>
            <th></th>
            </tr>
            </thead>
            <tbody>
            <tr *ngFor="let tagihan of tagihans ;trackBy: trackId; let i= index">
                <!-- <td><a [routerLink]="['/tagihan', tagihan.id, 'view' ]">{{tagihan.id}}</a></td> -->
			    <td class="text-center">{{((page-1) * itemsPerPage)+(i+1) }}</td>
                <td *jhiHasAnyAuthority="['ROLE_KETUA']" class="d-none d-sm-table-cell">{{tagihan.nis}}</td>
                <td *jhiHasAnyAuthority="['ROLE_KETUA']" class="d-none d-sm-table-cell">{{tagihan.namaSiswa}}</td>
                <td *jhiHasAnyAuthority="['ROLE_KETUA']" class="d-none d-sm-table-cell">{{tagihan.kelas}}&nbsp;-&nbsp;{{tagihan.tglTagihan}}</td>
                <td *jhiHasAnyAuthority="['ROLE_TU','ROLE_LOUNDRY']">{{tagihan.nis}}</td>
                <td *jhiHasAnyAuthority="['ROLE_TU','ROLE_LOUNDRY']">{{tagihan.namaSiswa}}</td>
                <td *jhiHasAnyAuthority="['ROLE_TU','ROLE_LOUNDRY']">{{tagihan.kelas}}&nbsp;-&nbsp;{{tagihan.tglTagihan}}</td>
                <td *jhiHasAnyAuthority="['ROLE_KETUA','ROLE_WALI']">{{tagihan.nomorTagihan}}</td>
                <td class="text-left">
                	<span *ngIf="tagihan.statusTagihan === 'BELUMBAYAR' && statusMulti"><input type="checkbox" (change)="selectTagihan(tagihan, $event.target.checked)" /></span></td> <!-- "" -->
                <td *jhiHasAnyAuthority="['ROLE_KETUA','ROLE_WALI']">
	                <span *ngIf="tagihan.nominalPembayaran !== null">{{tagihan.nominalPembayaran| currency:'Rp. ' }}</span>
	                <span *ngIf="tagihan.nominalPembayaran === null">-</span>
                </td>
                <td class="d-none d-sm-table-cell" *jhiHasAnyAuthority="['ROLE_KETUA','ROLE_WALI']">{{tagihan.tglBayar | date:'dd MMM yyy'}}</td>
                <td *jhiHasAnyAuthority="['ROLE_WALI']">{{tagihan.virtualAccount}}</td>
                <td  *jhiHasAnyAuthority="['ROLE_KETUA','ROLE_WALI']">
                   <span><span *ngIf="tagihan.statusTagihan === 'BELUMBAYAR'" style="color: #ec644b; font-style: italic;">BELUM BAYAR</span></span>
                   <span><span *ngIf="tagihan.statusTagihan === 'LUNAS'" style="color: #00e640; font-style: italic;">LUNAS</span></span>
                   <span><span *ngIf="tagihan.statusTagihan === 'MENUNGGU'" style="color: #ff9900; font-style: italic;">MENUNGGU PEMBAYARAN</span></span>
                   <span><span *ngIf="tagihan.statusTagihan === 'ANGSUR'" style="color: #ff9900; font-style: italic;">ANGSURAN</span></span>
                   <span><span *ngIf="tagihan.statusTagihan === 'BEASISWA'" style="color: #00e640; font-style: italic;">BEASISWA</span></span>
                </td>
                <td class="td-actions text-right"  *jhiHasAnyAuthority="['ROLE_TU','ROLE_LOUNDRY']">
                <div>
	                <button type="button" id="detail" class="btn btn-outline-warning" [routerLink]="['/tagihan', tagihan.siswaId, 'edit']">
	                   <span>Detail Tagihan</span>&nbsp;&nbsp;<fa-icon [icon]="'angle-right'"></fa-icon>
	            	</button>
                </div>
                </td>
                <td class="td-actions text-right"  *jhiHasAnyAuthority="['ROLE_WALI']">
               		<div  *ngIf="tagihan.statusTagihan != 'BEASISWA'">
		                <button class="btn btn-warning btn-sm btn-just-icon btn-round" 
		                (click)="resultTransaksi(tagihan.virtualAccount)" *ngIf="tagihan.statusTagihan === 'MENUNGGU' && tagihan.typeTagihan !== 1 ">
                         			<i class="material-icons">receipt</i>
				        </button>
				        <button class="btn btn-primary btn-sm btn-just-icon btn-round" 
		                (click)="resultTransaksiMulti(tagihan.virtualAccount)" *ngIf="tagihan.typeTagihan === 1 && tagihan.statusTagihan === 'MENUNGGU'">
                         			<i class="material-icons">library_books</i>
				        </button>
		               	<button class="btn btn-info btn-sm btn-just-icon btn-round" 
		                (click)="detailTransaksi(tagihan)" *ngIf="tagihan.statusTagihan === 'BELUMBAYAR' && !statusMulti">
                         			<i class="material-icons">payment</i>
				        </button>
				        <div *ngIf="tagihan.statusTagihan === 'LUNAS'">
                        <span><fa-icon [icon]="['fas','check-circle']" style='font-size:27px;color:green;' class="justify-content-center"></fa-icon></span>
                    	</div>		
                    			<!-- <div class="btn-group" *jhiHasAnyAuthority="['ROLE_TU']">
		                    		<button class="btn btn-info btn-sm btn-just-icon btn-round" (click)="detailTransaksi(tagihan)" *ngIf="tagihan.statusTagihan !== 'LUNAS'">
	                           			<i class="material-icons">payment</i>
							        </button>
							    </div> -->
                    			<!-- <div class="btn-group" *jhiHasAnyAuthority="['ROLE_TU']" >
			                         <button mat-raised-button mat-min-fab type="button" (click)="confirmDelete(tagihan.idTagihan)"   *ngIf="tagihan.statusTagihan !== 'LUNAS'"
				                               class="btn btn-danger btn-sm btn-just-icon btn-round">
				                   				<i class="material-icons">close</i>
									</button>
								</div> -->
					</div>
               </td>
            </tr>
            </tbody>
        </table>
        <div *ngIf="statusMulti === true" class="justify-content-center">
	      	<button mat-button class="btn btn-danger" (click)="cancelMulti()">
	            <fa-icon [icon]="'times'"></fa-icon>&nbsp;<span>Batal</span>
	    	</button>
	   		<button mat-button id="jhi-confirm-delete-tagihan" type="button" class="btn btn-warning" (click)="multiTagihan()" [disabled]="!disButMulti()">
	           <fa-icon></fa-icon>&nbsp;<span>Proses</span>
	       	</button>
        </div>
    </div>
    <div>
        <div class="row justify-content-center">
            <jhi-item-count [page]="page" [total]="totalItems" [itemsPerPage]="itemsPerPage"></jhi-item-count>
        </div>
        <div class="row justify-content-center">
            <ngb-pagination [collectionSize]="totalItems" [(page)]="page" [pageSize]="itemsPerPage" [maxSize]="5" [rotate]="true" [boundaryLinks]="true" (pageChange)="loadPage($event)"></ngb-pagination>
        </div>
    </div>
</div>
</div>
</div>
</div>
</div>
</div>